aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig
diff options
context:
space:
mode:
authorJenkins <jenkins@review.openstack.org>2016-03-24 18:06:00 +0000
committerGerrit Code Review <review@openstack.org>2016-03-24 18:06:00 +0000
commitc6249a1af273886fa326563dbc696af8fb561caa (patch)
tree32c7bc1c4fa287eacea000de47f468165d862c1b /extraconfig
parent0e6071d3958140f6e4deb52bf4cecb7e2b21e82b (diff)
parent51170114683e6d986b32aced253e5ebcf47fdedc (diff)
Merge "Fix satellite registration for http or https"
Diffstat (limited to 'extraconfig')
-rw-r--r--extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration9
1 files changed, 5 insertions, 4 deletions
diff --git a/extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration b/extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration
index 76fa63b4..242819b0 100644
--- a/extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration
+++ b/extraconfig/pre_deploy/rhel-registration/scripts/rhel-registration
@@ -98,10 +98,10 @@ fi
function detect_satellite_version {
ping_api=$REG_SAT_URL/katello/api/ping
- if curl -k -s -D - -o /dev/null $ping_api | grep "200 OK"; then
+ if curl -L -k -s -D - -o /dev/null $ping_api | grep "200 OK"; then
echo Satellite 6 detected at $REG_SAT_URL
satellite_version=6
- elif curl -k -s -D - -o /dev/null $REG_SAT_URL/rhn/Login.do | grep "200 OK"; then
+ elif curl -L -k -s -D - -o /dev/null $REG_SAT_URL/rhn/Login.do | grep "200 OK"; then
echo Satellite 5 detected at $REG_SAT_URL
satellite_version=5
else
@@ -120,9 +120,10 @@ case "${REG_METHOD:-}" in
;;
satellite)
detect_satellite_version
- if [ "satellite_version" = "6" ]; then
+ if [ "$satellite_version" = "6" ]; then
repos="$repos --enable ${satellite_repo}"
- rpm -Uvh "$REG_SAT_URL/pub/katello-ca-consumer-latest.noarch.rpm" || true
+ curl -L -k -O "$REG_SAT_URL/pub/katello-ca-consumer-latest.noarch.rpm"
+ rpm -Uvh katello-ca-consumer-latest.noarch.rpm || true
subscription-manager register $opts
subscription-manager $repos
yum install -y katello-agent || true # needed for errata reporting to satellite6